HTTPS doesn't work throught proxy

2014-03-24 04:51 AM - Guillaume SUEUR

Status: Closed

Priority: Normal

Assignee:

Category: Web Services clients/WMS

Affected QGIS version:2.2.0 Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution:

Crashes QGIS or corrupts data:No Copied to github as #: 18382

Description

When using a WMS server with both HTTPS and proxy settings, the connection doesn't work. At some point I think QGIS doesn't use the

proxy settings after establishing the HTTPS connection. The first messages (tracked by Wireshark) look OK, but after, nothing happens.

History

#1 - 2014-03-24 05:31 AM - luca76 -

Maybe this bug is related, too: #3844

I think that QT4 is not too good dealing with operating system internet settings.

See the code of the python plugin fetcher (at least in Qgis 1.7/1.8): it doesn't use the QT network module, but the normal python network module, that is

working.

#2 - 2014-03-24 05:57 AM - Guillaume SUEUR

Not sure. #3844 doesn't deal with HTTPS, but I guess having to manage two login/password couples (one for the proxy, the other for HTTPS

authentication) may drive QGIS a little bit nuts...

#3 - 2014-03-24 02:24 PM - Jürgen Fischer

trapanator - wrote:

See the code of the python plugin fetcher (at least in Qgis 1.7/1.8): it doesn't use the QT network module, but the normal python network module,

that is working.

In 2.0 it does.

#4 - 2014-03-25 12:56 AM - luca76 -

Jürgen Fischer wrote:

trapanator - wrote:

See the code of the python plugin fetcher (at least in Qgis 1.7/1.8): it doesn't use the QT network module, but the normal python network module,
that is working.

In 2.0 it does.

Checked it now, you're right. Now I closed that bug. Thank you! :D

#5 - 2014-04-30 03:14 AM - Guillaume SUEUR

Hi,

When you indicate you closed that bug, are you talking about this very one ?

Thanks

#6 - 2014-04-30 03:28 AM - Jürgen Fischer

- Status changed from Open to Closed

Guillaume SUEUR wrote:

When you indicate you closed that bug, are you talking about this very one ?

Guess so.

#7 - 2014-04-30 03:36 AM - Guillaume SUEUR

OK, that sounds great. Thanks
